Skip to main content
Suppliers

Get a list of configured suppliers

This method requires the Suppliers:Get permission to be associated with your role.

GET
/fm/suppliers
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
namestringquery

Optional supplier name.

This field supports the wildcard % operator.

Maximum string length: 50
Pattern: ^[a-zA-Z0-9\s\-\_\(\)\&\.\@\$\#\%]+$
external_codestringquery

Optional external code.

This field supports the wildcard % operator.

Maximum string length: 18
supplier_codestringquery

Optional supplier code.

This field supports the wildcard % operator.

Maximum string length: 10
Pattern: ^[a-zA-Z0-9\-\_\%]+$
supplier_typeenum<string>[]query

Optional supplier type.

Maximum array length: 40
exclude_empty_name_flagenum<string>querydefault:no

Optional flag. Set 'yes' to exclude suppliers with an empty name field

Available options: yes, no
statusenum<string>[]querydefault:active

Optional status

Maximum array length: 2
interface_typeenum<string>query

Optional interface type.

Available options: card-services, maintenance-controller, claim, contract-events
pageintegerquerydefault:1

Optional page number

Required range: 1 <= x <= 2147483647
page_sizeintegerquerydefault:25

Optional page size

Required range: -1 <= x <= 2147483647

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
pageinteger
Example: 1
page_countinteger
Example: 1
page_sizeinteger
Example: 25
total_itemsinteger
Example: 1